package storage

import (
	"gorm.io/gorm"
)

type OutboundJob struct {
	gorm.Model // Include full model. Gives ID, created and updated at timestamps as well as soft deletes
	// Read (and create) only values to ensure consistency
	TargetServer string `gorm:"->;<-:create"` // The url of the target server
	TargetPath   string `gorm:"->;<-:create"` // The full path of api endpoint targeted
	Data         []byte `gorm:"->;<-:create"` // The raw data to send
}
